@import url('https://fonts.googleapis.com/css2?family=Permanent+Marker&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Crimson+Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700&display=swap');

:root{
    --fonte-titulo: 'Kaushan Script';
    --fonte-texto: 'Crimson Text';
    --cor-principal: #0B1C4B;
    --cor-secundaria: #000000;
    --cor-destaque: #55e2db;
    --cor-texto: #ffffff;
}
body{
    background-color: var(--cor-principal);
    color: var(--cor-texto);
    font-family: var(--fonte-texto);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}
.caixa-principal{
    background-color: var(--cor-principal);
    width: 90%;
    max-width: 600px;
    text-align: center;
    padding: 20px;
}
h1, .caixa-perguntas, .caixa-resultados{
    font-family: var(--fonte-titulo);
}
h1{
    color: var(--cor-destaque);
}
button{
    background-color: var(--cor-secundaria);
    color: var(--cor-texto);
    border: none;
    border-radius: 15px;
    padding: 15px;
    transition: background-color 0.3s;
}
button:hover {
    background-color: var(--cor-destaque);
    color: var(--cor-principal);
}
.caixa-resultados{
    display: none;
}
.caixa-resultados.mostrar{
    display: block;
}
.caixa-alternativas{
    display: flex;
    flex-direction: column;
    gap: 10px; 
}